org.eclipse.emf.cdo.spi.common.protocol

## Class CDODataOutputImpl

- java.lang.Object
- - org.eclipse.net4j.util.io.ExtendedDataOutput.Delegating
  - - org.eclipse.emf.cdo.spi.common.protocol.CDODataOutputImpl

- All Implemented Interfaces:
    Closeable, DataOutput, AutoCloseable, CDODataOutput, ExtendedDataOutput

      public class CDODataOutputImpl
      extends ExtendedDataOutput.Delegating
      implements CDODataOutput

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    4.2
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.io.ExtendedDataOutput

      `ExtendedDataOutput.Delegating, ExtendedDataOutput.Stream`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDODataOutputImpl(ExtendedDataOutput delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOIDProvider` | `getIDProvider()`
    `CDOPackageRegistry` | `getPackageRegistry()`
    `protected StringIO` | `getPackageURICompressor()`
    `CDOPermissionProvider` | `getPermissionProvider()`
    `CDORevisionUnchunker` | `getRevisionUnchunker()`
    `void` | `writeCDOBranch(CDOBranch branch)`
    `void` | `writeCDOBranchPoint(CDOBranchPoint branchPoint)`
    `void` | `writeCDOBranchVersion(CDOBranchVersion branchVersion)`
    `void` | `writeCDOChangeSetData(CDOChangeSetData changeSetData)`
    `void` | `writeCDOClassifierRef(CDOClassifierRef eClassifierRef)`
    `void` | `writeCDOClassifierRef(EClassifier eClassifier)`
    `void` | `writeCDOCommitData(CDOCommitData commitData)`
    `void` | `writeCDOCommitInfo(CDOCommitInfo commitInfo)`
    `void` | `writeCDOFeatureDelta(EClass owner, CDOFeatureDelta featureDelta)`
    `void` | `writeCDOFeatureValue(EStructuralFeature feature, Object value)`
    `void` | `writeCDOID(CDOID id)`
    `void` | `writeCDOIDAndBranch(CDOIDAndBranch idAndBranch)`
    `void` | `writeCDOIDAndVersion(CDOIDAndVersion idAndVersion)`
    `void` | `writeCDOIDReference(CDOIDReference idReference)`
    `void` | `writeCDOList(EClass owner, EStructuralFeature feature, CDOList list, int referenceChunk)`
    `void` | `writeCDOLockArea(IDurableLockingManager.LockArea lockArea)`
    `void` | `writeCDOLockChangeInfo(CDOLockChangeInfo lockChangeInfo)`
    `void` | `writeCDOLockOwner(CDOLockOwner lockOwner)`
    `void` | `writeCDOLockState(CDOLockState lockState)`
    `void` | `writeCDOLockType(IRWLockManager.LockType lockType)`
    `void` | `writeCDOPackageInfo(CDOPackageInfo packageInfo)`
    `void` | `writeCDOPackageUnit(CDOPackageUnit packageUnit, boolean withPackages)`
    `void` | `writeCDOPackageUnits(CDOPackageUnit... packageUnits)`
    `void` | `writeCDOPackageUnitType(CDOPackageUnit.Type type)`
    `void` | `writeCDOPackageURI(String uri)`
    `void` | `writeCDORevisable(CDORevisable revisable)`
    `void` | `writeCDORevision(CDORevision revision, int referenceChunk)`
    `void` | `writeCDORevision(CDORevision revision, int referenceChunk, CDOBranchPoint securityContext)`
    `void` | `writeCDORevisionDelta(CDORevisionDelta revisionDelta)`
    `void` | `writeCDORevisionKey(CDORevisionKey revisionKey)`
    `void` | `writeCDORevisionOrPrimitive(Object value)` Write either a CDORevision or a primitive value.
    `void` | `writeCDORevisionOrPrimitiveOrClassifier(Object value)` Write either a CDORevision, a primitive value or a EClass.
    `void` | `writeCDOType(CDOType cdoType)`

    - ### Methods inherited from class org.eclipse.net4j.util.io.ExtendedDataOutput.Delegating

      `close, getDelegate, write, write, write, writeBoolean, writeByte, writeByteArray, writeBytes, writeChar, writeChars, writeDouble, writeEnum, writeException, writeFloat, writeInt, writeLong, writeObject, writeShort, writeString, writeUTF`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.io.ExtendedDataOutput

      `writeByteArray, writeEnum, writeException, writeObject, writeString`

    - ### Methods inherited from interface java.io.DataOutput

      `write, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

- - ### Constructor Detail

    - #### CDODataOutputImpl

          public CDODataOutputImpl(ExtendedDataOutput delegate)

  - ### Method Detail

    - #### writeCDOPackageUnit

          public void writeCDOPackageUnit(CDOPackageUnit packageUnit,
                                          boolean withPackages)
                                   throws IOException

      Specified by:
        `writeCDOPackageUnit` in interface `CDODataOutput`
      Throws:
        `IOException`

    - #### writeCDOPackageUnits

          public void writeCDOPackageUnits(CDOPackageUnit... packageUnits)
                                    throws IOException

      Specified by:
        `writeCDOPackageUnits` in interface `CDODataOutput`
      Throws:
        `IOException`

    - #### writeCDOPackageUnitType

          public void writeCDOPackageUnitType(CDOPackageUnit.Type type)
                                       throws IOException

      Specified by:
        `writeCDOPackageUnitType` in interface `CDODataOutput`
      Throws:
        `IOException`

    - #### writeCDOPackageInfo

          public void writeCDOPackageInfo(CDOPackageInfo packageInfo)
                                   throws IOException

      Specified by:
        `writeCDOPackageInfo` in interface `CDODataOutput`
      Throws:
        `IOException`

    - #### writeCDOClassifierRef

          public void writeCDOClassifierRef(CDOClassifierRef eClassifierRef)
                                     throws IOException

      Specified by:
        `writeCDOClassifierRef` in interface `CDODataOutput`
      Throws:
        `IOException`

    - #### writeCDOClassifierRef

          public void writeCDOClassifierRef(EClassifier eClassifier)
                                     throws IOException

      Specified by:
        `writeCDOClassifierRef` in interface `CDODataOutput`
      Throws:
        `IOException`

    - #### writeCDOPackageURI

          public void writeCDOPackageURI(String uri)
                                  throws IOException

      Specified by:
        `writeCDOPackageURI` in interface `CDODataOutput`
      Throws:
        `IOException`

    - #### writeCDOType

          public void writeCDOType(CDOType cdoType)
                            throws IOException

      Specified by:
        `writeCDOType` in interface `CDODataOutput`
      Throws:
        `IOException`

    - #### writeCDOBranch

          public void writeCDOBranch(CDOBranch branch)
                              throws IOException

      Specified by:
        `writeCDOBranch` in interface `CDODataOutput`
      Throws:
        `IOException`

    - #### writeCDOBranchPoint

          public void writeCDOBranchPoint(CDOBranchPoint branchPoint)
                                   throws IOException

      Specified by:
        `writeCDOBranchPoint` in interface `CDODataOutput`
      Throws:
        `IOException`

    - #### writeCDOBranchVersion

          public void writeCDOBranchVersion(CDOBranchVersion branchVersion)
                                     throws IOException

      Specified by:
        `writeCDOBranchVersion` in interface `CDODataOutput`
      Throws:
        `IOException`

    - #### writeCDOChangeSetData

          public void writeCDOChangeSetData(CDOChangeSetData changeSetData)
                                     throws IOException

      Specified by:
        `writeCDOChangeSetData` in interface `CDODataOutput`
      Throws:
        `IOException`

    - #### writeCDOCommitData

          public void writeCDOCommitData(CDOCommitData commitData)
                                  throws IOException

      Specified by:
        `writeCDOCommitData` in interface `CDODataOutput`
      Throws:
        `IOException`

    - #### writeCDOCommitInfo

          public void writeCDOCommitInfo(CDOCommitInfo commitInfo)
                                  throws IOException

      Specified by:
        `writeCDOCommitInfo` in interface `CDODataOutput`
      Throws:
        `IOException`

    - #### writeCDOLockChangeInfo

          public void writeCDOLockChangeInfo(CDOLockChangeInfo lockChangeInfo)
                                      throws IOException

      Specified by:
        `writeCDOLockChangeInfo` in interface `CDODataOutput`
      Throws:
        `IOException`

    - #### writeCDOLockArea

          public void writeCDOLockArea(IDurableLockingManager.LockArea lockArea)
                                throws IOException

      Specified by:
        `writeCDOLockArea` in interface `CDODataOutput`
      Throws:
        `IOException`

    - #### writeCDOLockOwner

          public void writeCDOLockOwner(CDOLockOwner lockOwner)
                                 throws IOException

      Specified by:
        `writeCDOLockOwner` in interface `CDODataOutput`
      Throws:
        `IOException`

    - #### writeCDOLockState

          public void writeCDOLockState(CDOLockState lockState)
                                 throws IOException

      Specified by:
        `writeCDOLockState` in interface `CDODataOutput`
      Throws:
        `IOException`

    - #### writeCDOLockType

          public void writeCDOLockType(IRWLockManager.LockType lockType)
                                throws IOException

      Specified by:
        `writeCDOLockType` in interface `CDODataOutput`
      Throws:
        `IOException`

    - #### writeCDOID

          public void writeCDOID(CDOID id)
                          throws IOException

      Specified by:
        `writeCDOID` in interface `CDODataOutput`
      Throws:
        `IOException`

    - #### writeCDOIDReference

          public void writeCDOIDReference(CDOIDReference idReference)
                                   throws IOException

      Specified by:
        `writeCDOIDReference` in interface `CDODataOutput`
      Throws:
        `IOException`

    - #### writeCDOIDAndVersion

          public void writeCDOIDAndVersion(CDOIDAndVersion idAndVersion)
                                    throws IOException

      Specified by:
        `writeCDOIDAndVersion` in interface `CDODataOutput`
      Throws:
        `IOException`

    - #### writeCDOIDAndBranch

          public void writeCDOIDAndBranch(CDOIDAndBranch idAndBranch)
                                   throws IOException

      Specified by:
        `writeCDOIDAndBranch` in interface `CDODataOutput`
      Throws:
        `IOException`

    - #### writeCDORevisionKey

          public void writeCDORevisionKey(CDORevisionKey revisionKey)
                                   throws IOException

      Specified by:
        `writeCDORevisionKey` in interface `CDODataOutput`
      Throws:
        `IOException`

    - #### writeCDORevision

          public void writeCDORevision(CDORevision revision,
                                       int referenceChunk)
                                throws IOException

      Specified by:
        `writeCDORevision` in interface `CDODataOutput`
      Throws:
        `IOException`

    - #### writeCDORevision

          public void writeCDORevision(CDORevision revision,
                                       int referenceChunk,
                                       CDOBranchPoint securityContext)
                                throws IOException

      Specified by:
        `writeCDORevision` in interface `CDODataOutput`
      Throws:
        `IOException`

    - #### writeCDORevisable

          public void writeCDORevisable(CDORevisable revisable)
                                 throws IOException

      Specified by:
        `writeCDORevisable` in interface `CDODataOutput`
      Throws:
        `IOException`

    - #### writeCDOList

          public void writeCDOList(EClass owner,
                                   EStructuralFeature feature,
                                   CDOList list,
                                   int referenceChunk)
                            throws IOException

      Specified by:
        `writeCDOList` in interface `CDODataOutput`
      Throws:
        `IOException`

    - #### writeCDOFeatureValue

          public void writeCDOFeatureValue(EStructuralFeature feature,
                                           Object value)
                                    throws IOException

      Specified by:
        `writeCDOFeatureValue` in interface `CDODataOutput`
      Throws:
        `IOException`

    - #### writeCDORevisionDelta

          public void writeCDORevisionDelta(CDORevisionDelta revisionDelta)
                                     throws IOException

      Specified by:
        `writeCDORevisionDelta` in interface `CDODataOutput`
      Throws:
        `IOException`

    - #### writeCDOFeatureDelta

          public void writeCDOFeatureDelta(EClass owner,
                                           CDOFeatureDelta featureDelta)
                                    throws IOException

      Specified by:
        `writeCDOFeatureDelta` in interface `CDODataOutput`
      Throws:
        `IOException`

    - #### writeCDORevisionOrPrimitive

          public void writeCDORevisionOrPrimitive(Object value)
                                           throws IOException

      Description copied from interface: `CDODataOutput`
      Write either a CDORevision or a primitive value.
      Specified by:
        `writeCDORevisionOrPrimitive` in interface `CDODataOutput`
      Throws:
        `IOException`

    - #### writeCDORevisionOrPrimitiveOrClassifier

          public void writeCDORevisionOrPrimitiveOrClassifier(Object value)
                                                       throws IOException

      Description copied from interface: `CDODataOutput`
      Write either a CDORevision, a primitive value or a EClass.
      Specified by:
        `writeCDORevisionOrPrimitiveOrClassifier` in interface `CDODataOutput`
      Throws:
        `IOException`

    - #### getPackageRegistry

          public CDOPackageRegistry getPackageRegistry()

      Specified by:
        `getPackageRegistry` in interface `CDODataOutput`

    - #### getIDProvider

          public CDOIDProvider getIDProvider()

      Specified by:
        `getIDProvider` in interface `CDODataOutput`

    - #### getPermissionProvider

          public CDOPermissionProvider getPermissionProvider()

      Specified by:
        `getPermissionProvider` in interface `CDODataOutput`

    - #### getRevisionUnchunker

          public CDORevisionUnchunker getRevisionUnchunker()

      Specified by:
        `getRevisionUnchunker` in interface `CDODataOutput`
      Since:
        4.3

    - #### getPackageURICompressor

          protected StringIO getPackageURICompressor()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html